App Execute Action
curl --request POST \
--url https://app.apigene.ai/api/gpt_public/app_execute_action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app_name": "<string>",
"user_input": "<string>",
"context": {},
"response_format": "raw"
}
'import requests
url = "https://app.apigene.ai/api/gpt_public/app_execute_action"
payload = {
"app_name": "<string>",
"user_input": "<string>",
"context": {},
"response_format": "raw"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app_name: '<string>',
user_input: '<string>',
context: {},
response_format: 'raw'
})
};
fetch('https://app.apigene.ai/api/gpt_public/app_execute_action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<unknown>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}GPT Public
App Execute Action
Triggers an interaction for a custom GPT model using the provided input and operation ID. Returns the GPT-generated response.
POST
/
api
/
gpt_public
/
app_execute_action
App Execute Action
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Body
application/json
Input payload for triggering a GPT action. Contains the user's input and operation ID.
The identifier of the App to invoke.
The natural language input describing the desired action.
Contextual parameters for the action, including operationId and any required inputs.
Response format: 'raw' (default) or 'formatted_md'.
Response
Successful Response
Response model for a GPT action. Contains the message or result returned by the GPT action.
The response message or result from the GPT action
⌘I
